package Controleurs;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.util.Vector;

import javax.swing.JPanel;

import Modèle.Probleme;
import Vue.IHMAccueil;
import Vue.IHMAjoutPB;
import Vue.IHMBigPanel;

public class EcouteurSourisAjout implements MouseListener{
	protected Vector<Probleme> probleme;
	protected IHMAccueil ihm;
	
	public EcouteurSourisAjout(IHMAccueil ihm,Vector<Probleme> probleme){
		this.ihm = ihm;
		this.probleme = probleme;
	}
	
	public void mouseEntered(MouseEvent e){}
	public void mouseExited(MouseEvent e){}
	public void mouseReleased(MouseEvent e){}
	public void mousePressed(MouseEvent e){}
	public void mouseClicked(MouseEvent e){
		
		//Fenetre ajout
		
		/*jp3.removeAll();
		jp3.repaint();
		jp3.setLocation(220,50);
		jp3.setSize(600,600);
		jp3.add(new IHMAjoutPB(probleme,jp3,jp));
		//jp3.repaint();*/
		ihm.setContentPane(new IHMBigPanel(new IHMAjoutPB(probleme,ihm),ihm));
	}
	
	

}
